### Hierarchy

- Properties

## Index

### Properties

- propertiesMap

### Methods

- register
- resolve

## Properties

### Static Private propertiesMap

propertiesMap: object

- Defined in lib/renderable/Properties.ts:12

#### Type declaration

## Methods

### Static register

- register(name: string, property: any): void

- - Defined in lib/renderable/Properties.ts:20

  #### Parameters

  - ##### name: string

  - ##### property: any

  #### Returns void

### Static resolve

- resolve(name: string): any

- - Defined in lib/renderable/Properties.ts:29

  #### Parameters

  - ##### name: string

  #### Returns any

Generated using TypeDoc